工程测量之前,先来看看攻略

关注我们,了解更多工程测量姿势

Sub 按钮1_Click()

Dim acadapp As Object

Set acadapp = GetObject(, "AutoCAD.Application")

If Err Then

Set acadapp = CreateObject("AutoCAD.Application")

If Err Then MsgBoxErr.Description: Exit Sub

Dim Point1(0 To 2) As Double

Dim i As Integer

While Sheet7.Cells(i, 2) <> "" And Sheet7.Cells(i, 3) <> ""

Point1(1) = Sheet7.Cells(i, 2)

Point1(0) = Sheet7.Cells(i, 3)

Point1(2) = Sheet7.Cells(i, 4)

Set Text = acadapp.ActiveDocument.ModelSpace.AddText(Sheet7.Cells(i, 1), Point1, 30)

Set pt = acadapp.ActiveDocument.ModelSpace.AddPoint(Point1)

红色代码部分是获取cad应用程序,蓝色代码部分是绘制点和点号的程序。我们可以看见,在绘入时将xy做了交换,以符合测量坐标系的定义。点击按钮,绘图如下:

为了方便查看,在cad中改变了点样式。

我们使用几句简单的程序就可以完成点的批量展绘,程序本身并不难理解。如果您对vba越来越熟悉,vba将极大地提高您的工作效率。

Excel的作用在方便检查、编辑数据,而cad便于绘图,两者结合在有些时候是很有必要的。如果对VBA仍然不熟悉,可以参考本公众号的vba系列连载。